#  DOSBOX v0.73 (iiaei?aeoe?iaae LE1XA kiew)

[sdl]
# devicescreenx,devicescreeny -- set to your display dimensions 
#                                defaults are qvga (320x240) dimensions
# panoversized                -- set to true if you want virtual screen panning for
#                                oversized resolutions when s60scaler=none
#                                will 'shrink' if set to false (default)
# pagestepx,pagestepy         -- panning steps if panoversized=true' (defaults are 320/240) 
# s60scaler                   -- select ouput scaler to use (default none)
#                                IMPORTANT:
#                                 dont use leading, trailing or seperating whitespaces
#                                 stick to the syntax "s60scaler=whatever"
#                                 (reason: this is parsed for by a dumb parser, not the one in DOSBOX)
#                                NOTE:
#                                 when s60 scaling is used mouse (touch-ui) input
#                                 coordinates will be scaled from the device resolution
#                                 to to the displayed resolution. keep that in mind when
#                                 writing your virtual keyboard maps  
#                                possible values:
#                                'none'         - no scaling (or halfsizing)
#                                's60full'      - use s60 bitmap scaling
#                                's60aspect'
#                                'swfull'       - nearest pixel sw implemetation
#                                'swaspect'
#                                !!!NOT SUPPORTED IN THIS RELEASE!!! 'glfull'       - use opengl-es 
#                                !!!NOT SUPPORTED IN THIS RELEASE!!! 'glaspect'
# rotatescreen                -- rotates screen 180 degs if 'true' ('false' by default)
# 
devicescreenwidth=320
devicescreenheight=240
panoversized=false
pagestepx=10
pagestepy=10
sensitivity=2000
priority=higher,normal
s60scale=none
rotatescreen=false

[dosbox]
memsize=2

[cpu]
# core   -- CPU Core used in emulation: full,dynamic (dynamic needs more ram!)
# cycles -- Amount of instructions DOSBox tries to emulate each millisecond.
#           Setting this value too high results in sound dropouts and lags.
#           You can also let DOSBox guess the correct value by setting it to max.
#           The default setting (auto) switches to max if appropriate.
core=max
cycles=1200

[mixer]
# nosound -- Enable silent mode, sound is still emulated though.
# rate -- Mixer sample rate, setting any devices higher than this will
#         probably lower their sound quality.
# blocksize -- Mixer block size, larger blocks might help sound stuttering
#              but sound will also be more lagged.
# prebuffer -- How many milliseconds of data to keep on top of the blocksize.

nosound=none
rate=22050
blocksize=2048
prebuffer=10

[midi]
# mpu401      -- Type of MPU-401 to emulate: none, uart or intelligent.
# device      -- Device that will receive the MIDI data from MPU-401.
#                This can be default,alsa,oss,win32,coreaudio,none.
# config      -- Special configuration options for the device. In Windows put
#                the id of the device you want to use. See README for details.
mpu401=none
device=default
config=

[sblaster]
# sbtype -- Type of sblaster to emulate:none,sb1,sb2,sbpro1,sbpro2,sb16.
# sbbase,irq,dma,hdma -- The IO/IRQ/DMA/High DMA address of the soundblaster.
# mixer -- Allow the soundblaster mixer to modify the DOSBox mixer.
# oplmode -- Type of OPL emulation: auto,cms,opl2,dualopl2,opl3.
#            On auto the mode is determined by sblaster type.
#            All OPL modes are 'Adlib', except for CMS.
# oplrate -- Sample rate of OPL music emulation.
sbtype=none
sbbase=220
irq=7
dma=1
hdma=5
mixer=true
oplmode=auto
oplrate=22050

[gus]
# gus -- Enable the Gravis Ultrasound emulation.
# gusbase,irq1,irq2,dma1,dma2 -- The IO/IRQ/DMA addresses of the 
#            Gravis Ultrasound. (Same IRQ's and DMA's are OK.)
# gusrate -- Sample rate of Ultrasound emulation.
# ultradir -- Path to Ultrasound directory.  In this directory
#             there should be a MIDI directory that contains
#             the patch files for GUS playback.  Patch sets used
#             with Timidity should work fine.
gus=false
gusrate=22050
gusbase=240
irq1=5
irq2=5
dma1=3
dma2=3
ultradir=C:\ULTRASND

[speaker]
# pcspeaker -- Enable PC-Speaker emulation.
# pcrate -- Sample rate of the PC-Speaker sound generation.
# tandy -- Enable Tandy Sound System emulation (off,on,auto).
#          For auto Tandysound emulation is present only if machine is set to tandy.
# tandyrate -- Sample rate of the Tandy 3-Voice generation.
# disney -- Enable Disney Sound Source emulation. Covox Voice Master and Speech Thing compatible.
pcspeaker=none
pcrate=22050
tandy=off
tandyrate=22050
disney=false

[joystick]
joysticktype=none

[serial]
serial1=dummy
serial2=dummy
serial3=disabled
serial4=disabled

[dos]
# xms -- Enable XMS support.
# ems -- Enable EMS support.
# umb -- Enable UMB support.
# keyboardlayout -- Language code of the keyboard layout (or none).
xms=true
ems=true
umb=true
keyboardlayout=ru

[ipx]
# ipx -- Enable ipx over UDP/IP emulation.
ipx=false

[autoexec]
# Lines in this section will be run at startup.
#    use 's60map' command to load your default key/virtualkb mapping,
#    specify mapping file to s60map using its full system path
#    (like c:/Data/mymap1.txt), not its mounted dos path
#    shold probably keep those out of your dos tree anyway 

mount c e:\Win31
s60map c:/data/premapper.txt
c:\
cd windows
win
